Skip to content
Start here

Get Model Schema

client.ai.models.schema.get(SchemaGetParams { account_id, model } params, RequestOptionsoptions?): SchemaGetResponse { input, output }
GET/accounts/{account_id}/ai/models/schema

Retrieves the input and output JSON schema definition for a Workers AI model.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
params: SchemaGetParams { account_id, model }
account_id: string

Path param

model: string

Query param: Model Name

ReturnsExpand Collapse
SchemaGetResponse { input, output }
input: Input { additionalProperties, description, type }
additionalProperties: boolean
description: string
type: string
output: Output { additionalProperties, description, type }
additionalProperties: boolean
description: string
type: string

Get Model Schema

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const schema = await client.ai.models.schema.get({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  model: 'model',
});

console.log(schema.input);
{
  "result": {
    "input": {
      "additionalProperties": true,
      "description": "JSON Schema definition for the model's input parameters",
      "type": "object"
    },
    "output": {
      "additionalProperties": true,
      "description": "JSON Schema definition for the model's output format",
      "type": "object"
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "input": {
      "additionalProperties": true,
      "description": "JSON Schema definition for the model's input parameters",
      "type": "object"
    },
    "output": {
      "additionalProperties": true,
      "description": "JSON Schema definition for the model's output format",
      "type": "object"
    }
  },
  "success": true
}